# class ActiveRecord::AssociationRelation

### Public Class Methods

new(klass, table, predicate_builder, association) click to toggle source
Calls superclass method

    # File lib/active_record/association_relation.rb, line 3
    def initialize(klass, table, predicate_builder, association)
      super(klass, table, predicate_builder)
      @association = association
    end

### Public Instance Methods

==(other) click to toggle source

    # File lib/active_record/association_relation.rb, line 12
    def ==(other)
      other == records
    end

build(*args, &block) click to toggle source

    # File lib/active_record/association_relation.rb, line 16
    def build(*args, &block)
      scoping { @association.build(*args, &block) }
    end

Also aliased as: new
create(*args, &block) click to toggle source

    # File lib/active_record/association_relation.rb, line 21
    def create(*args, &block)
      scoping { @association.create(*args, &block) }
    end

create!(*args, &block) click to toggle source

    # File lib/active_record/association_relation.rb, line 25
    def create!(*args, &block)
      scoping { @association.create!(*args, &block) }
    end

new(*args, &block)
Alias for: build
proxy_association() click to toggle source

    # File lib/active_record/association_relation.rb, line 8
    def proxy_association
      @association
    end

### Private Instance Methods

exec_queries() { |r| ... } click to toggle source
Calls superclass method

    # File lib/active_record/association_relation.rb, line 31
    def exec_queries
      super do |r|
        @association.set_inverse_instance r
        yield r if block_given?
      end
    end